ps_latnode_s Struct Reference

DAG nodes. More...

`#include <ps_lattice_internal.h>`

## Data Fields

int32 | id
| Unique id for this node.
int32 | wid
| Dictionary word id.
int32 | basewid
| Dictionary base word id.
int32 | fef
| First end frame.
int32 | lef
| Last end frame.
frame_idx_t | sf
| Start frame.
int16 | reachable
| From. More...
int32 | node_id
| Node from fsg model, used to map lattice back to model.
union {
glist_t velist
| List of history entries with different lmstate (tst only)
int32 fanin
| Number nodes with links to this node.
int32 rem_score
| Estimated best score from node.sf to end.
int32 best_exit
| Best exit score (used for final nodes only)
} | info
latlink_list_t * | exits
| Links out of this node.
latlink_list_t * | entries
| Links into this node.
struct ps_latnode_s * | alt
| Node with alternate pronunciation for this word.
struct ps_latnode_s * | next
| Next node in DAG (no ordering implied)

## Detailed Description

DAG nodes.

A node corresponds to a number of hypothesized instances of a word which all share the same starting point.

Definition at line 113 of file ps_lattice_internal.h.

## Field Documentation

int16 ps_latnode_s::reachable

From.

    </s>

or

    <s>

Definition at line 121 of file ps_lattice_internal.h.

Referenced by ngram_search_exit_score(), ngram_search_lattice(), ps_lattice_delete_unreachable(), ps_lattice_posterior_prune(), ps_lattice_read(), and ps_lattice_write_htk().

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/ps_lattice_internal.h